<script src="./Script.js"></script>

<template>
  <input
    class="form-control"
    ref="input"
    v-bind:value="displayValue(value)"
    v-on:input="updateValue($event.target.value)"
    v-on:keydown="setOnlyNumberInInput($event)"
    v-on:focus="selectAll"
    @blur="$emit('blur', $event.target.value)"
    @keyup="$emit('keyup', $event.target.value)"
  />
</template>
